<?php
defined('C5_EXECUTE') or die("Access Denied.");
/**
 * ab_exchange package for Concrete5
 * concrete5.org marketplace license
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_exchange
 */
?>

<div class = "rates">
<?php
$exchange_rates = array();

switch ($bank) {
    case 'ECB':
        echo '<div class = "bank">' . $ECB . '</div>';
        echo '<div class = "bank-descr">' . $ECB_descr . '</div>';
        echo '<div class="bank-descr last-updated">' . $last_updated . $ECB_updated . '</div><br/>';
        $exchange_rates = $ECB_rates;
        break;
    case 'CBR':
        echo '<div class = "bank">' . $CBR . '</div>';
        echo '<div class = "bank-descr">' . $CBR_descr . '</div>';
        echo '<div class="bank-descr last-updated">' . $last_updated . $CBR_updated . '</div><br/>';
        $exchange_rates = $CBR_rates;
        break;
}

if (empty($exchange_rates)) {
    echo '<span class="error">' . $server_error . '</span>';
}
else {
    foreach($exchange_rates as $currency => $rate) {
        if (in_array($currency, explode(',', $currency_list))) {
            echo '<span class="currency">' . $currency . ':</span> ' . '<span class="rate">' . $rate . '</span><br/>';
        }
    }
}

?>
</div>
