<?php         
namespace Concrete\Package\AbExchange;

use Package;
use BlockType;

defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_exchange package for Concrete5
 * concrete5.org marketplace license
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_exchange
 */
 
class Controller extends Package {

	protected $pkgHandle = 'ab_exchange';
	protected $appVersionRequired = '8.0.0';
	protected $pkgVersion = '0.9.4';
	protected $pkgAutoloaderMapCoreExtensions = true;
	
	public function getPackageDescription() 
	{
		return t('Add International Currency Exchange package');
	}
	
	public function getPackageName() 
	{
		return t("International Currency Exchange");
	}
	
	public function install() 
	{
		$pkg = parent::install();
		BlockType::installBlockType('ab_exchange', $pkg);
	}

}
